<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myInternalOrderLabel" jhiTranslate="mpmApp.internalOrder.home.createOrEditLabel">Create or edit a Internal Order</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!internalOrder.idOrder">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="internalOrder.idOrder" readonly />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.internalOrder.internalFrom" for="field_internalFrom">Internal From</label>
            <select class="form-control" id="field_internalFrom" name="internalFrom" [(ngModel)]="internalOrder.internalFromId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.idInternal}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.internalOrder.internalTo" for="field_internalTo">Internal To</label>
            <select class="form-control" id="field_internalTo" name="internalTo" [(ngModel)]="internalOrder.internalToId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.idInternal}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
